Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225345 - Review Request: kodos - Visual regular expression editor
Summary: Review Request: kodos - Visual regular expression editor
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Orion Poplawski
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-29 23:51 UTC by Konstantin Ryabitsev
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-17 17:13:06 UTC
orion: fedora-review+
kevin: fedora-cvs+


Attachments (Terms of Use)

Description Konstantin Ryabitsev 2007-01-29 23:51:51 UTC
Spec URL: http://blues.mcgill.ca/~icon/fe/kodos.spec
SRPM URL: http://blues.mcgill.ca/~icon/fe/kodos-2.4.9-1.src.rpm
Description:
Kodos is a visual regular expression editor and debugger written in Python.

Comment 1 Orion Poplawski 2007-01-30 18:45:19 UTC
Mostly looks good, full review to follow but thought I'd note this first:

# rpmlint -i kodos
E: kodos non-executable-script /usr/lib/python2.4/site-packages/kodos/kodos.py 0644
This text file contains a shebang or is located in a path dedicated for
executables, but lacks the executable bits and cannot thus be executed.  If
the file is meant to be an executable script, add the executable bits,
otherwise remove the shebang or move the file elsewhere.


I think you want to pull the shebang.  Or, perhaps not even package it as it is
basically the same as /usr/bin/kodos?

Comment 2 Orion Poplawski 2007-01-30 19:01:34 UTC
mock build fails:

+ desktop-file-install --vendor fedora --dir
/var/tmp/kodos-2.4.9-1.fc6-root-mockbuild/usr/share/applications --add-category
X-Fedora /builddir/build/SOURCES/kodos.desktop
/var/tmp/rpm-tmp.24776: line 36: desktop-file-install: command not found

Looks like you need:

BuildRequires: desktop-file-utils


Comment 3 Konstantin Ryabitsev 2007-03-11 15:39:59 UTC
I apologize for the delay. This is tested to build in mock, pass all rpmlint
checks, and known to work. :)

http://blues.mcgill.ca/~icon/fe/kodos.spec
http://blues.mcgill.ca/~icon/fe/kodos-2.4.9-2.fc6.src.rpm

Comment 4 Orion Poplawski 2007-03-12 16:49:14 UTC
Good:

- rpmlint checks return:

    *


- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc
- spec file legible, in am. english
- source matches upstream
- package compiles on devel (x86)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime

Worrisome:

- There is no license/copyright/author information in the source files
themselves.  Please ping upstream about getting this added.  Not a blocker per
se, since the project clearly inteads to be GPLv2.

Fix:

- No need for X-Fedora in desktop-file-install
- No need for update-desktop-database - no MimeType key in .desktop file
(http://fedoraproject.org/wiki/Packaging/ScriptletSnippets?highlight=%28update-desktop-database%29#head-de6770dd9867fcd085a73a4700f6bcd0d10294ef)


Comment 5 Konstantin Ryabitsev 2007-06-10 21:34:39 UTC
Sorry for the delay, again. I swear it will be speedy from now on. :)

http://blues.mcgill.ca/~icon/fe/kodos.spec
http://blues.mcgill.ca/~icon/fe/kodos-2.4.9-3.el5.wsg.src.rpm

Cheers!

Comment 6 Orion Poplawski 2007-06-12 20:41:47 UTC
Looks good to me.  I would change:

%{_bindir}/*
%{python_sitelib}/*
%{_datadir}/applications/*

to:

%{_bindir}/kodos
%{_python_sitelib}/kodos/
%{_datadir}/applications/fedora-kodos.desktop

because personally I like to list things out.  Helps detect when things change.
 But I'll leave that up to your preference.

APPROVED

Comment 7 Konstantin Ryabitsev 2007-06-15 14:32:23 UTC
New Package CVS Request
=======================
Package Name: kodos
Short Description: Visual regular expression editor
Owners: icon@fedoraproject.org
Branches: FC-6 F-7 EL-5
InitialCC: 

Comment 8 Kevin Fenzi 2007-06-16 03:41:50 UTC
cvs done.

Comment 9 Mamoru TASAKA 2007-06-16 15:23:43 UTC
From cvs commit log:

Requires(post): desktop-file-utils
Requires(postun): desktop-file-utils

However, there is no %post or %postun.

Comment 10 Konstantin Ryabitsev 2007-06-17 17:13:06 UTC
Thanks, everyone!


Note You need to log in before you can comment on or make changes to this bug.